package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.*;

import java.util.List;
import java.util.Map;

/**
 * 文件名：CommonService
 * 版本信息：日期：2018/4/25 Copyright 江苏省交通规划设计院 Corporation 2018 版权所有.
 */
public interface CommonService {
    public Map<String,String> getCommonDataMap();
    public Map<Long,User> getUserMap();
    public Map<Long,Organ> getDeptMap();
    public Map<String,Constant> getCodeMap();
    public Map<String,List<Constant>> getCodeFlagMap();
    public Map<Long,Job> getJobMap();
    public Map<Long, Item> getItemMap();
    // 获得考核项(ruleId=21,22,23,24)
    public List<String> getCheckItemName(Long ruleId);
    // 获得部门信息,比如SA,RM内容
    public List<FeeStation> getAllDeptByLayer(String key);


    //获取周期信息
    public CheckTaskPeriod getCheckTaskPeriod(Long startDate,Long endDate);

    //获取任务周期表中所有数据
    public List<CheckTaskPeriod> getAllCheckTaskPeriod();

}
